Name:           cboard
Version:        0.7.5
Release:        %mkrel 5
Summary:        Console frontend of gnuchess
License:        GPLv2
Group:          Games/Boards
URL:            https://benkibbey.wordpress.com/cboard/
Source0:        https://downloads.sourceforge.net/c-board/%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/c-board/%{name}-%{version}.tar.bz2.sig
Patch0:         cboard-0.7.5-git-curses-format.patch

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)

Requires:       gnuchess

%description
CBoard is a console frontend to GNU Chess, using the ncurses library for
the interface. It can edit PGN tags, annotate moves with NAG, and more.


%prep
%autosetup -p1

%build
CFLAGS="%{optflags} -fcommon"
autoreconf -vfi

%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man?/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.7.5-5.mga10
+ Revision: 2196220
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 danf <danf> 0.7.5-4.mga9
+ Revision: 1797642
- Fix compile "no format" error on gcc 12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Jun 11 2020 joequant <joequant> 0.7.5-3.mga8
+ Revision: 1592242
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.7.5-2.mga8
+ Revision: 1521886
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 04 2019 daviddavid <daviddavid> 0.7.5-1.mga7
+ Revision: 1349027
- new version: 0.7.5

* Sat Sep 22 2018 umeabot <umeabot> 0.6-8.mga7
+ Revision: 1295999
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.6-7.mga7
+ Revision: 1234699
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 0.6-6.mga6
+ Revision: 932422
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 743758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-4.mga5
+ Revision: 678324
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 503305
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 347437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.6-1.mga2
+ Revision: 194369
- new version
- clean spec

* Sun May 08 2011 nanardon <nanardon> 0.5-2.mga1
+ Revision: 96146
- imported package cboard


* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.5-2mdv2008.1
+ Revision: 109292
- rebuild for new lzma

* Sun Nov 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5-1mdv2008.1
+ Revision: 105715
- 0.5

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 21:38:28 (52991)
- 0.2.4
- remove menu entry (is text application)

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 21:31:49 (52920)
Import cboard

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Thu May 04 2006 Jerome Soyer <saispo@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Wed Apr 26 2006 Lenny Cartier <lenny@mandriva.com> 0.2.1-1mdk
- rebuild

* Sat Dec 31 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.6-4mdk
- rebuild

* Mon Dec 20 2004 Abel Cheung <deaddog@mandrake.org> 0.1.6-3mdk
- Rebuild

* Mon Nov 03 2003 Abel Cheung <deaddog@deaddog.org> 0.1.6-2mdk
- Move binaries and data files to games dir

* Fri Sep 19 2003 Abel Cheung <maddog@linux.org.hk> 0.1.6-1mdk
- First Mandrake package
- Patch0: Fix compilation with newest gcc

